ServletCategory (groovy 2.4.11 API)
Date: 2017-04-27

Package: groovy.servlet

## [Java] Class ServletCategory

- groovy.servlet.ServletCategory

- Servlet support.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Object` | `get(ServletContext context, String key)`
    `` | `static Object` | `get(HttpSession session, String key)`
    `` | `static Object` | `get(ServletRequest request, String key)`
    `` | `static Object` | `get(PageContext context, String key)`
    `` | `static Object` | `getAt(ServletContext context, String key)`
    `` | `static Object` | `getAt(HttpSession session, String key)`
    `` | `static Object` | `getAt(ServletRequest request, String key)`
    `` | `static Object` | `getAt(PageContext context, String key)`
    `` | `static void` | `putAt(ServletContext context, String key, Object value)`
    `` | `static void` | `putAt(HttpSession session, String key, Object value)`
    `` | `static void` | `putAt(ServletRequest request, String key, Object value)`
    `` | `static void` | `putAt(PageContext context, String key, Object value)`
    `` | `static void` | `set(ServletContext context, String key, Object value)`
    `` | `static void` | `set(HttpSession session, String key, Object value)`
    `` | `static void` | `set(ServletRequest request, String key, Object value)`
    `` | `static void` | `set(PageContext context, String key, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public static Object get(ServletContext context, String key)

    - #### public static Object get(HttpSession session, String key)

    - #### public static Object get(ServletRequest request, String key)

    - #### public static Object get(PageContext context, String key)

    - #### public static Object getAt(ServletContext context, String key)

    - #### public static Object getAt(HttpSession session, String key)

    - #### public static Object getAt(ServletRequest request, String key)

    - #### public static Object getAt(PageContext context, String key)

    - #### public static void putAt(ServletContext context, String key, Object value)

    - #### public static void putAt(HttpSession session, String key, Object value)

    - #### public static void putAt(ServletRequest request, String key, Object value)

    - #### public static void putAt(PageContext context, String key, Object value)

    - #### public static void set(ServletContext context, String key, Object value)

    - #### public static void set(HttpSession session, String key, Object value)

    - #### public static void set(ServletRequest request, String key, Object value)

    - #### public static void set(PageContext context, String key, Object value)